summaryrefslogtreecommitdiffstats
path: root/system-config/components/1090-ssl-cert
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-config/components/1090-ssl-cert
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-config/components/1090-ssl-cert')
-rwxr-xr-xsystem-config/components/1090-ssl-cert37
1 files changed, 37 insertions, 0 deletions
diff --git a/system-config/components/1090-ssl-cert b/system-config/components/1090-ssl-cert
new file mode 100755
index 0000000..2e065ac
--- /dev/null
+++ b/system-config/components/1090-ssl-cert
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Init ()
+{
+ # Checking if package is installed
+ if [ ! -e /var/lib/dpkg/info/ssl-cert.list ] || \
+ [ -e /var/lib/live/config/ssl-cert ]
+ then
+ exit 0
+ fi
+
+ echo -n " ssl-cert"
+}
+
+Config ()
+{
+ if [ ! -e /etc/ssl/certs/ssl-cert-snakeoil.pem ] && [ ! -e /etc/ssl/private/ssl-cert-snakeoil.key ]
+ then
+ make-ssl-cert generate-default-snakeoil --force-overwrite
+ fi
+
+ # Creating state file
+ touch /var/lib/live/config/ssl-cert
+}
+
+Init
+Config